%global pkgname typepadapp
%global obs_ver 1.2.1-1

Name:           python-django-typepadapp
Version:        1.2.1
Release:        7%{?dist}
Summary:        A helper Django app for making TypePad applications
License:        BSD
URL:            https://github.com/eelias/typepadapp
Source0:        http://pypi.python.org/packages/source/t/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
Requires:       python-simplejson
Requires:       python-iso8601
Requires:       python-feedparser
Requires:       python-typepad
Requires:       python-django
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-feedparser
BuildRequires:  python-httplib2
BuildRequires:  python-oauth
BuildRequires:  python-remoteobjects
BuildRequires:  python-typepad
BuildRequires:  python-iso8601
BuildRequires:  python-batchhttp
BuildRequires:  python-django

Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      django-typepad < %{obs_ver}

%description
The typepadapp Django application provides all the necessary
underpinnings for you to build TypePad cloud applications.

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf typepadapp/static/soundmanager/*.swf

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
chmod 0755 %{buildroot}%{python2_sitelib}/typepadapp/conf/project_template/app.wsgi
chmod 0644 %{buildroot}%{python2_sitelib}/typepadapp/static/soundmanager/soundmanager2.js
chmod 0644 %{buildroot}%{python2_sitelib}/typepadapp/static/soundmanager/soundmanager2-nodebug-jsmin.js

%check
%{__python2} -m unittest

%files
%doc LICENSE README.rst
%{python2_sitelib}/typepadapp
%{python2_sitelib}/typepadapp-*.egg-info

%changelog
* Wed Mar 05 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-7
- remove bundled flash files

* Tue Feb 18 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-6
- add aditional requires

* Tue Feb 18 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-5
- fix url
- change to python2 macro
- clean changelogs macros
- fix obsolete package version

* Mon Feb 17 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-4
- fix name to python-django-typepadapp

* Thu Aug 09 2012 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-3
- add if f18 install python-django else install django
- python-devel to python2-devel and python-setuptools-devel to python-setuptools

* Thu Aug 02 2012 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-2
- Fix Bug #844753 comment2
- insert old changelogs
- fix url
- remove: define python site lib
- remove defattr in files
- remove rm -rf $RPM_BUILD_ROOT

* Tue Jul 31 2012 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-1
- Upstream to new version

* Tue Jul 31 2012 Luis Bazan <lbazan@fedoraproject.org> - 1.1.3-2
- Rename django-typepad to python-django-typepad 

* Tue Jul 31 2012 Luis Bazan <lbazan@fedoraproject.org> - 1.1.3-1
- Initial Import python-django-typepad

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 02 2010 Sebastian Dziallas <sebastian@when.com> - 1.1.3-1
- new upstream release

* Tue Jan 26 2010 Sebastian Dziallas <sebastian@when.com> - 1.1.1-1
- new upstream release

* Wed Nov 18 2009 Sebastian Dziallas <sebastian@when.com> - 1.0.2-1
- update to new upstream release

* Tue Oct 06 2009 Sebastian Dziallas <sebastian@when.com> - 1.0.1-1
- initial packaging
